Package org.eclipse.microprofile.config.tck

## Class ConfigPropertiesTest.BeanFour

- java.lang.Object
- - org.eclipse.microprofile.config.tck.ConfigPropertiesTest.BeanFour

Enclosing class:
  ConfigPropertiesTest

    @ConfigProperties(prefix="cloud")
    @Dependent
    public static class ConfigPropertiesTest.BeanFour
    extends Object

### Field Summary

Fields
`Optional<String>` `location`
`int` `port`

### Constructor Summary

Constructors
`BeanFour()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getHost()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### port

    public int port

#### location

    public Optional<String> location

### Constructor Detail

#### BeanFour

    public BeanFour()

### Method Detail

#### getHost

    public String getHost()